MD5SUM(1)

NAME
md5sum - compute and check MD5 message digest

SYNOPSIS
md5sum [OPTION]... [FILE]...

DESCRIPTION

Print or check MD5 (128-bit) checksums. With no FILE, or when FILE is -, read standard input.

-b, --binary
    read in binary mode

-c, --check
    read MD5 sums from the FILEs and check them

-t, --text
    read in text mode (default)

  The following three options are useful only when verifying checksums:

--quiet
    don't print OK for each successfully verified file

--status
    don't output anything, status code shows success

-w, --warn
    warn about improperly formatted checksum lines

--help
    display this help and exit

--version
    output version information and exit

The sums are computed as described in RFC 1321. When checking, the input should be a former output of this program. The default mode is to print a line with checksum, a character indicating type (`*' for binary, ` ' for text), and name for each FILE.

AUTHOR
Written by Ulrich Drepper, Scott Miller, and David Madore.

REPORTING BUGS
Report md5sum bugs to bug-coreutils@gnu.org
GNU coreutils home page: <http://www.gnu.org/software/coreutils/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2009 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for md5sum is maintained as a Texinfo manual. If the info and md5sum programs are properly installed at your site, the command

    info coreutils 'md5sum invocation'

should give you access to the complete manual.